body{
font-family:Arial;
}

.flex{
display:flex;
border:1px solid rgb(235, 149, 243);
margin-bottom:20px;
}

.box{
border:1px solid rgb(230, 176, 229);
padding:20px;
margin:5px;
background:rgb(126, 164, 203);
}

.grow{
flex-grow:1;
background:rgb(186, 110, 187);
}

.small{
width:400px;
}

.shrink{
flex-shrink:3;
background:rgb(242, 255, 167);
}

.basis{
flex-basis:150px;
background:rgb(169, 245, 189);
}

.wrap{
flex-wrap:wrap;
width:200px;
}

.boxs{
    width: 200px;
    height: 200px;
    outline: solid rgb(248, 38, 136) 1px;
}